diff --git a/src/gui/res/lang/gui_cs-CZ.ts b/src/gui/res/lang/gui_cs-CZ.ts
index 3c406828..54772437 100644
--- a/src/gui/res/lang/gui_cs-CZ.ts
+++ b/src/gui/res/lang/gui_cs-CZ.ts
@@ -506,35 +566,123 @@ To Synergy umožní pracovat s procesy se zvýšenými oprávněními a s UAC di
         <translation type="finished">Nepojmenováno</translation>
     </message>
 </context>
+<context>
+    <name>PluginManager</name>
+    <message>
+        <location filename="src/PluginManager.cpp" line="58"/>
+        <source>Failed to get plugin directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="63"/>
+        <source>Failed to get profile directory.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="136"/>
+        <source>Failed to download plugin '%1' to: %2
+%3</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="167"/>
+        <source>Could not get Windows architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginManager.cpp" line="191"/>
+        <source>Could not get Linux architecture type.</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>PluginWizardPage</name>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="14"/>
+        <source>Setup Synergy</source>
+        <translation type="finished">Instalovat Synergy</translation>
+    </message>
+    <message>
+        <location filename="res/PluginWizardPageBase.ui" line="101"/>
+        <source>Please wait...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="72"/>
+        <source>Error: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="80"/>
+        <location filename="src/PluginWizardPage.cpp" line="201"/>
+        <source>Setup complete.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="93"/>
+        <source>Downloading '%1' plugin (%2/%3)...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="104"/>
+        <source>Plugins installed successfully.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="120"/>
+        <source>Generating SSL certificate...</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="170"/>
+        <source>Downloading plugin: %1 (1/%2)</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/PluginWizardPage.cpp" line="239"/>
+        <source>Getting plugin list...</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>QObject</name>
     <message>
-        <location filename="src/MainWindow.cpp" line="45"/>
+        <location filename="src/MainWindow.cpp" line="60"/>
         <source>Synergy Configurations (*.sgc);;All files (*.*)</source>
-        <translation type="finished">Synergy nastavení (*.sgc);;Všechny soubory (*.*)</translation>
+        <translation type="finished">Nastavení Synergy (*.sgc);;Všechny soubory (*.*)</translation>
     </message>
     <message>
-        <location filename="src/MainWindow.cpp" line="48"/>
+        <location filename="src/MainWindow.cpp" line="67"/>
         <source>Synergy Configurations (*.conf);;All files (*.*)</source>
-        <translation type="finished">Synergy nastavení (*.conf);;Všechny soubory (*.*)</translation>
+        <translation type="finished">Nastavení Synergy (*.conf);;Všechny soubory (*.*)</translation>
     </message>
     <message>
-        <location filename="src/main.cpp" line="90"/>
+        <location filename="src/main.cpp" line="119"/>
         <source>System tray is unavailable, quitting.</source>
-        <translation type="finished">Systémová lišta je nedostupná, ukončuji.</translation>
+        <translation type="finished">Oznamovací oblast systémové lišty je nedostupná, aplikace proto bude ukončena.</translation>
     </message>
 </context>
 <context>
     <name>ScreenSettingsDialog</name>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
+        <location filename="src/ScreenSettingsDialog.cpp" line="67"/>
         <source>Screen name is empty</source>
-        <translation type="finished">Nezvolen název plochy</translation>
+        <translation type="finished">Název obrazovky nebyl vyplněn</translation>
     </message>
     <message>
-        <location filename="src/ScreenSettingsDialog.cpp" line="65"/>
-        <source>The name for a screen can not be empty. Please fill in a name or cancel the dialog.</source>
-        <translation type="finished">Jméno obrazovky nesmí zůstat prázdné. Prosím vyplňte jméno nebo zrušte dialog.</translation>
+        <location filename="src/ScreenSettingsDialog.cpp" line="68"/>
+        <source>The screen name cannot be empty. Please either fill in a name or cancel the dialog.</source>
+        <translation type="finished">Název obrazovky nemůže zůstat prázdný. Buď jej vyplňte, nebo dialog zrušte.</translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="83"/>
+        <source>Screen name matches alias</source>
+        <translation type="finished">Název obrazovky koliduje s jejím alternativním názvem</translation>
+    </message>
+    <message>
+        <location filename="src/ScreenSettingsDialog.cpp" line="84"/>
+        <source>The screen name cannot be the same as an alias. Please either remove the alias or change the screen name.</source>
+        <translation type="finished">Název obrazovky a zástupný název být stejné. Buď zástupný název odeberte nebo změňte název obrazovky.</translation>
     </message>
 </context>
 <context>
@@ -542,7 +690,7 @@ To Synergy umožní pracovat s procesy se zvýšenými oprávněními a s UAC di
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="14"/>
         <source>Screen Settings</source>
-        <translation type="finished">Natavení plochy</translation>
+        <translation type="finished">Natavení obrazovky</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="22"/>
@@ -552,22 +700,22 @@ To Synergy umožní pracovat s procesy se zvýšenými oprávněními a s UAC di
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="42"/>
         <source>A&amp;liases</source>
-        <translation type="finished">A&amp;liasy</translation>
+        <translation type="finished">A&amp;lternativní názvy</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="57"/>
         <source>&amp;Add</source>
-        <translation type="finished">&amp;Přidat</translation>
+        <translation type="finished">Přid&amp;at</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="74"/>
         <source>&amp;Remove</source>
-        <translation type="finished">&amp;Odstranit</translation>
+        <translation type="finished">Odst&amp;ranit</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="97"/>
         <source>&amp;Modifier keys</source>
-        <translation type="unfinished"></translation>
+        <translation type="finished">&amp;Modifikátory (klávesy)</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="106"/>
@@ -626,7 +774,7 @@ To Synergy umožní pracovat s procesy se zvýšenými oprávněními a s UAC di
         <location filename="res/ScreenSettingsDialogBase.ui" line="283"/>
         <location filename="res/ScreenSettingsDialogBase.ui" line="330"/>
         <source>None</source>
-        <translation type="finished">Prázdný</translation>
+        <translation type="finished">Žádné</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="150"/>
@@ -651,27 +799,27 @@ To Synergy umožní pracovat s procesy se zvýšenými oprávněními a s UAC di
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="358"/>
         <source>&amp;Dead corners</source>
-        <translation type="finished">&amp;Mrtvé rohy</translation>
+        <translation type="finished">Nevyužité rohy</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="367"/>
         <source>Top-left</source>
-        <translation type="finished">Horní-vlevo</translation>
+        <translation type="finished">Vlevo nahoře</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="374"/>
         <source>Top-right</source>
-        <translation type="finished">Horní-vpravo</translation>
+        <translation type="finished">Vpravo nahoře</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="381"/>
         <source>Bottom-left</source>
-        <translation type="finished">Dolní-vlevo</translation>
+        <translation type="finished">Vlevo dole</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="388"/>
         <source>Bottom-right</source>
-        <translation type="finished">Dolní-vpravo</translation>
+        <translation type="finished">Vpravo dole</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="397"/>
@@ -686,22 +834,22 @@ To Synergy umožní pracovat s procesy se zvýšenými oprávněními a s UAC di
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="437"/>
         <source>Fix CAPS LOCK key</source>
-        <translation type="finished">Oprava CAPS LOCKu</translation>
+        <translation type="finished">Oprava chování klávesy Caps Lock</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="444"/>
         <source>Fix NUM LOCK key</source>
-        <translation type="finished">Oprava NUM LOCKu</translation>
+        <translation type="finished">Oprava chování klávesy Num Lock</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="451"/>
         <source>Fix SCROLL LOCK key</source>
-        <translation type="finished">Oprava SCROLL LOCKu</translation>
+        <translation type="finished">Oprava chování klávesy Scroll Lock</translation>
     </message>
     <message>
         <location filename="res/ScreenSettingsDialogBase.ui" line="458"/>
         <source>Fix XTest for Xinerama</source>
-        <translation type="finished">Oprava XTestu pro Xineramu</translation>
+        <translation type="finished">Oprava chování rozšíření grafického serveru X – XTest a Xinerama</translation>
     </message>
 </context>
 <context>
@@ -712,35 +860,43 @@ To Synergy umožní pracovat s procesy se zvýšenými oprávněními a s UAC di
         <translation type="finished">&lt;center&gt;Obrazovka: &lt;b&gt;%1&lt;/b&gt;&lt;/center&gt;&lt;br&gt;Dvojklikem upravíte nastavení&lt;br&gt;Přetažením do koše obrazovku smažete</translation>
     </message>
 </context>
+<context>
+    <name>ServerConfigDialog</name>
+    <message>
+        <location filename="src/ServerConfigDialog.cpp" line="75"/>
+        <source>Configure server</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 <context>
     <name>ServerConfigDialogBase</name>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="13"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="14"/>
         <source>Server Configuration</source>
         <translation type="finished">Nastavení serveru</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="23"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="24"/>
         <source>Screens and links</source>
         <translation type="finished">Obrazovky a propojení</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="34"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="35"/>
         <source>Drag a screen from the grid to the trashcan to remove it.</source>
-        <translation type="finished">Přetáhněte obrazovku z mřížky do koše pro její odstranění.</translation>
+        <translation type="finished">Obrazovku odstraníte jejím přetažením z mřížky do koše.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="59"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="60"/>
         <source>Configure the layout of your synergy server configuration.</source>
-        <translation type="finished">Nastavte rozložení své konfigurace serveru synergy.</translation>
+        <translation type="finished">Nastavte rozložení svého nastavení serveru synergy.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="72"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="73"/>
         <source>Drag this button to the grid to add a new screen.</source>
-        <translation type="finished">K vytvoření nové obrazovky přetáhněte toto tlačítko do mřížky.</translation>
+        <translation type="finished">Novou obrazovku vytvoříte přetažením tohoto tlačítka do mřížky.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="127"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="128"/>
         <source>Drag new screens to the grid or move existing ones around.
 Drag a screen to the trashcan to delete it.
 Double click on a screen to edit its settings.</source>
@@ -749,129 +905,134 @@ Přetáhnutím obrazovky do koše ji smažete.
 Nastavení obrazovky upravíte dvojklikem na ni.</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="156"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="157"/>
         <source>Hotkeys</source>
         <translation type="finished">Klávesové zkratky</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="162"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="163"/>
         <source>&amp;Hotkeys</source>
-        <translation type="finished">Klávesové zkratky</translation>
+        <translation type="finished">&amp;Klávesové zkratky</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="174"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="175"/>
         <source>&amp;New</source>
-        <translation type="finished">&amp;Nový</translation>
+        <translation type="finished">&amp;Nová</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="184"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="185"/>
         <source>&amp;Edit</source>
-        <translation type="finished">Změnit</translation>
+        <translation type="finished">Upra&amp;vit</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="194"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="195"/>
         <source>&amp;Remove</source>
-        <translation type="finished">&amp;Odstranit</translation>
+        <translation type="finished">Odst&amp;ranit</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="217"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="218"/>
         <source>A&amp;ctions</source>
-        <translation type="finished">Akce</translation>
+        <translation type="finished">Ak&amp;ce</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="229"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="230"/>
         <source>Ne&amp;w</source>
-        <translation type="finished">Nový</translation>
+        <translation type="finished">No&amp;vá</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="239"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="240"/>
         <source>E&amp;dit</source>
-        <translation type="finished">Upravit</translation>
+        <translation type="finished">Upravi&amp;t</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="249"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="250"/>
         <source>Re&amp;move</source>
-        <translation type="finished">Odebrat</translation>
+        <translation type="finished">Ode&amp;brat</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="273"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="274"/>
         <source>Advanced server settings</source>
         <translation type="finished">Pokročilé nastavení serveru</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="279"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="280"/>
         <source>&amp;Switch</source>
         <translation type="finished">Přepnout</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="290"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="291"/>
         <source>Switch &amp;after waiting</source>
         <translation type="finished">Přepnout po prodlevě</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="329"/>
-        <location filename="res/ServerConfigDialogBase.ui" line="382"/>
-        <location filename="res/ServerConfigDialogBase.ui" line="457"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="330"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="383"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="458"/>
         <source>ms</source>
         <translation type="finished">ms</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="343"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="344"/>
         <source>Switch on double &amp;tap within</source>
         <translation type="finished">Přepnout po dvojitém doteku během</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="407"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="408"/>
         <source>&amp;Options</source>
-        <translation type="finished">&amp;Možnosti</translation>
+        <translation type="finished">M&amp;ožnosti</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="418"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="419"/>
         <source>&amp;Check clients every</source>
         <translation type="finished">Kontrolovat klienty každých</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="469"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="470"/>
         <source>Use &amp;relative mouse moves</source>
         <translation type="finished">Používat relativní pohyby myši</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="479"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="480"/>
         <source>S&amp;ynchronize screen savers</source>
-        <translation type="finished">Synchronizovat šetřiče obrazovky</translation>
+        <translation type="finished">S&amp;ynchronizovat šetřiče obrazovky</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="489"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="490"/>
         <source>Don't take &amp;foreground window on Windows servers</source>
-        <translation type="finished">Nepřepínat se do popředí na serverech s Windows</translation>
+        <translation type="finished">Na serverech s Windows se nepřepínat do popředí</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="512"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="510"/>
+        <source>Ignore auto config clients</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="res/ServerConfigDialogBase.ui" line="520"/>
         <source>&amp;Dead corners</source>
-        <translation type="finished">&amp;Mrtvé rohy</translation>
+        <translation type="finished">Nevyužité rohy</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="521"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="529"/>
         <source>To&amp;p-left</source>
         <translation type="finished">Levý horní</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="528"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="536"/>
         <source>Top-rig&amp;ht</source>
         <translation type="finished">Pravý &amp;horní</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="535"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="543"/>
         <source>&amp;Bottom-left</source>
         <translation type="finished">Spodní levý</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="542"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="550"/>
         <source>Bottom-ri&amp;ght</source>
         <translation type="finished">Spodní pravý</translation>
     </message>
     <message>
-        <location filename="res/ServerConfigDialogBase.ui" line="564"/>
+        <location filename="res/ServerConfigDialogBase.ui" line="572"/>
         <source>Cor&amp;ner Size:</source>
         <translation type="finished">Velikost rohu:</translation>
     </message>
@@ -879,14 +1040,22 @@ Nastavení obrazovky upravíte dvojklikem na ni.</translation>
 <context>
     <name>SettingsDialog</name>
     <message>
-        <location filename="src/SettingsDialog.cpp" line="62"/>
-        <source>Encryption password must not be empty.</source>
-        <translation type="unfinished"></translation>
+        <location filename="src/SettingsDialog.cpp" line="131"/>
+        <source>Save log file to...</source>
+        <translation type="finished">Uložit soubor s protokolem do…</translation>
     </message>
     <message>
-        <location filename="src/SettingsDialog.cpp" line="121"/>
-        <source>Save log file to...</source>
-        <translation type="finished">Uložit soubor s výpisem do</translation>
+        <location filename="src/SettingsDialog.cpp" line="151"/>
+        <source>Elevate Synergy</source>
+        <translation type="finished">Zvýšit stupeň oprávnění pro Synergy</translation>
+    </message>
+    <message>
+        <location filename="src/SettingsDialog.cpp" line="152"/>
+        <source>Are you sure you want to elevate Synergy?
+
+This allows Synergy to interact with elevated processes and the UAC dialog, but can cause problems with non-elevated processes. Elevate Synergy only if you really need to.</source>
+        <translation type="finished">Opravdu chcete zvýšit stupeň oprávnění pro Synergy?
+Sice to Synergy umožní pracovat s procesy, které mají také takový stupeň a s dialogem řízení uživatelských účtů (UAC), může ale působit problémy aplikacím s běžnými oprávněními. Tuto možnost byste tedy měli využít pouze pokud ji opravdu potřebujete.</translation>
     </message>
 </context>
 <context>
